
%global debug_package %{nil}

%define __os_install_post %{nil}
%define __requires_exclude /usr/local/bin/python

%define _disable_source_fetch 0

Name: Python37
Version: 3.7.3
Release: 1.sk4zuzu%{?dist}
Summary: test
License: Python
URL: https://www.python.org
Source0: https://www.python.org/ftp/python/%{version}/Python-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: readline
BuildRequires: ncurses
BuildRequires: openssl
BuildRequires: readline-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: bzip2-devel
BuildRequires: libffi-devel

%description
test

%define _prefix /opt/%{name}
%define _libdir %{_prefix}/lib

%prep
%setup -q -c -n %{name}-%{version}

%build
pushd Python-%{version}/
%configure --enable-optimizations
%make_build build_all
popd

%install
pushd Python-%{version}/
%make_install
popd

%files
%{_prefix}/

%clean
%{__rm} -rf %{buildroot}/

# vim:ts=4:sw=4:et:
